// Copyright (c) 2017, dmarl. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.
import 'package:angular2/core.dart';
import 'package:intl/intl.dart';


@Component(
    selector: 'd_timepicker_component',
    styleUrls: const ['d_timepicker_component.css'],
    templateUrl: 'd_timepicker_component.html'
)
class dTimepicker implements AfterContentInit
{
  void ngAfterContentInit()
  {
    startTime = new DateTime(now.year,now.month,now.day);
    time = startTime;
    duration = new Duration(minutes: int.parse(stepMinutes));
    
    while (time.day == startTime.day)
    {
      times.add(format.format(time));
      time = time.add(duration);
    }
  }

  DateTime startTime;
  DateTime now = new DateTime.now();
  Duration duration;
  DateTime time;
  List<String> times = new List<String>();
  DateFormat format = new DateFormat('Hms');

  @Input('stepMinutes')
  String stepMinutes;
}


